GH-SECRET-LIST(1)

NAME
gh-secret-list - List secrets

SYNOPSIS
gh secret list [flags]

DESCRIPTION
List secrets on one of the following levels: - repository (default): available to GitHub Actions runs, Agents sessions, or Dependabot in a repository - environment: available to GitHub Actions runs for a deployment environment in a repository - organization: available to GitHub Actions runs, Agents sessions, Dependabot, or Codespaces within an organization - user: available to Codespaces for your user

OPTIONS

-a, --app <string>
    List secrets for a specific application: {actions|agents|codespaces|dependabot}

-e, --env <string>
    List secrets for an environment

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-o, --org <string>
    List secrets for an organization

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-u, --user
    List a secret for your user

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh secret ls

JSON FIELDS
name, numSelectedRepos, selectedReposURL, updatedAt, visibility

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-secret(1)